---
title: Promise.reject()
slug: Web/JavaScript/Reference/Global_Objects/Promise/reject
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Promise
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Promise.reject()</code></strong> method returns a <code>Promise</code> object that is rejected with a given reason.</p>

<div>{{EmbedInteractiveExample("pages/js/promise-reject.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Promise.reject(<var>reason</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>reason</var></code></dt>
 <dd>Reason why this <code>Promise</code> rejected.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Promise")}} that is rejected with the given reason.</p>

<h2 id="Description">Description</h2>

<p>The static <code>Promise.reject</code> function returns a <code>Promise</code> that is rejected. For debugging purposes and selective error catching, it is useful to make <code>reason</code> an <code>instanceof</code> {{jsxref("Error")}}.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_static_Promise.reject_method">Using the static Promise.reject() method</h3>

<pre class="brush: js notranslate">Promise.reject(new Error('fail')).then(function() {
  // not called
}, function(error) {
  console.error(error); // Stacktrace
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-promise.reject', 'Promise.reject')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">To contribute to this compatibility data, please write a pull request against this repository: <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a>.</div>

<p>{{Compat("javascript.builtins.Promise.reject")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Promise")}}</li>
</ul>
